<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Writer.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Writer</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Writer

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Writer.hh.html" target="detail">../Synopsis/PTree/Writer.hh</a></div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line18" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Writer-inheritance" src="Writer-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Writer-inheritance_map" />
<map name="Writer-inheritance_map"><area alt="Scopes/Synopsis/PTree/Visitor.html" href="Visitor.html" shape="rect" coords="5, 7, 163, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Writer_lstd_mostream_A_r">Writer</a>(std::ostream&amp; <span class="variable">os</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line21" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;unsigned&#160;long <a class="name" id="write_lconst.Node_S_r">write</a>(const&#160;<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mwrite_lconst.Node_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line23" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAtom_S_r">visit</a>(<a href="Atom.html" >Atom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mvisit_lAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lList_S_r">visit</a>(<a href="List.html" >List</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mvisit_lList_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBrace_S_r">visit</a>(<a href="Brace.html" >Brace</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mvisit_lBrace_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="newline_l_r">newline</a>()  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mnewline_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::ostream&amp; <a class="name" id="my_os">my_os</a></div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mmy_os" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="my_indent">my_indent</a></div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mmy_indent" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">unsigned&#160;long <a class="name" id="my_lines">my_lines</a></div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mWriter_mmy_lines" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Writer.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
